Subject: Re: bug#30288: 25.3; crashes on "add-to-list orgmode.org/elpa"

From: Ihar Suvorau <[email-masked]>
Date: Wed, 7 Feb 2018 19:08:59 +0300

Thank you, Noam and others who was helping me. Now it's clear that the
issue is not with my configs.
I'll try this installation method now
https://www.gnu.org/software/emacs/download.html#macos.
I wasn't aware of different 'flavors' of Emacs for OS X and downloaded the
first I had met.

Appreciate your help.

On Wed, Feb 7, 2018 at 3:49 PM, Noam Postavsky <
[email-masked]> wrote:

> Ihar Suvorau <[email-masked]> writes:
>
> > the line below:
> >
> > (add-to-list 'package-archives '("org" . "http://orgmode.org/elpa/")
> > t)
> >
> > in ~/.emacs.d/init.el crashes Emacs on running "M-x list-packages"
> >
> >
> >
> > In GNU Emacs 25.3.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21
> > Version 10.9.5 (Build 13F1911))
> >  of 2017-09-12 built on builder10-9.local
> > Windowing system distributor 'Apple', version 10.3.1404
> > Configured using:
> >  'configure --with-ns '--enable-locallisppath=/Library/Application
> >  Support/Emacs/${version}/site-lisp:/Library/Application
> >  Support/Emacs/site-lisp' --with-modules'
>
> Where did your Emacs binary come from?  According to [1], this may be a
> problem with https://emacsformacosx.com binaries.
>
> [1]: https://emacs.stackexchange.com/questions/38656/list-
> packages-crashes-emacs-25-3-mac-when-melpa-is-added-to-emacs
>